from random import random
from numpy import sqrt, pi
from scipy.special import gamma


def d_sphere(d):
	n = 0
	N = 0
	for i in range(int(1e7)):
		r = 0
		for j in range(d):
			r += random()**2
		if sqrt(r) <= 1:
			n += 1
		N += 1

	print("Volume of {}-dimensional sphere:".format(d))
	print("Exact value: {0:.5f}".format(pi**(d/2) / gamma(1+d/2)))
	print("Monte Carlo: {0:.5f}".format(2**d * n / N))


d_sphere(5)

